VERSION = 0.003

JAVAC = javac
JAR = jar

CP = cp
MKDIR = mkdir
RM = rm
TAR = tar

FONTS = MERIFONT.TTF
SRCS = BoardPanel.java \
       InformPanel.java \
       RobboExplorative.java \
       BoardPosition.java \
       RobboFrame.java \
       KillProcess.java \
       MoveList.java

CLASSES = $(SRCS:.java=.class)
WORKING_DIR = RobboExplorative-$(VERSION)
INNER = #

ALL = $(FONTS) $(INNER) $(SRCS) Makefile MANIFEST READ_ME

all: RobboExplorative
RobboExplorative: $(CLASSES) Makefile
	$(JAR) cfm RobboExplorative.jar MANIFEST $(CLASSES) $(INNER)
%.class: %.java Makefile
	$(JAVAC) $<
archive:
	$(RM) -rf $(WORKING_DIR) # ensure
	$(MKDIR) $(WORKING_DIR)
	$(CP) $(ALL) $(WORKING_DIR) # inner classes ?
	$(TAR) cf $(WORKING_DIR).tar $(WORKING_DIR)/*
	$(RM) -rf $(WORKING_DIR)
clean:
	$(RM) -f $(CLASSES) $(INNER) *.class
